IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME='EST_PED_VD_PAG_PIX') 
BEGIN
/*
=======================================================================================
'Nível Classificação.: INFORMAÇÃO RESTRITA
'Versão..............: 20220614 
'Job.................:  
'Nome................: EST_PED_VD_PAG_PIX
'Projeto............:  Commerce 
'Tabelas.............: 
'Dt Criação..........: 
'Dt Ult Alteracão....: 14/06/2022
'Alterado por........: Marcos Barros
'Criado por..........:    
'=======================================================================================
FARMAGOI-24164
*/
CREATE TABLE EST_PED_VD_PAG_PIX(
  CD_CTR int IDENTITY(1,1) NOT NULL,
  PAG_CD_CTR int NOT NULL,
  NR_TRANSACAO varchar(max) NOT NULL,
  CD_BANCO varchar(10) NOT NULL,
  CNPJ_ADQUIRENTE varchar(14) NULL,
  CONSTRAINT PK_EST_PED_VD_PAG_PIX PRIMARY KEY CLUSTERED(CD_CTR ASC)
);

ALTER TABLE EST_PED_VD_PAG_PIX ADD CONSTRAINT FK_EST_PED_VD_PAG_PIX__EST_PED_VD_PAG FOREIGN KEY(PAG_CD_CTR)
REFERENCES EST_PED_VD_PAG(CD_CTR);
END
